#!/bin/sh
# \
exec tclsh "$0" "$@"

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#########################################
# name: TraffiX				#
# version: 1.3				#
# author: Erik Zettel		      	#
# web: www.zettel-it.de		        #
#########################################

set vers 1.3
set name TraffiX

if {1} {
    
    puts "$name $vers loaded successfully!"
    
} else  {
    
    puts "Error loading $name $vers !"
    
}

proc bold { } {

	return "\002"

}


alias traffix {
    
    # set variables
    
    set ifpath [ exec whereis ifconfig | gawk {{print $2}} ]
    set routepath [ exec whereis route | gawk {{print $2}} ]
    set inter [ exec $routepath | grep default | gawk {{print $8}} ]
    
    # this will be changed in 1.4   

    set down [ exec  $ifpath $inter  | grep -i "RX bytes" | gawk {{print $3 $4}} | tr "()" "  " ]
    set up [ exec  $ifpath $inter  | grep -i "TX bytes" | gawk {{print $7 $8}} | tr "()" "  " ]
    
    # thats the output
    
    /say "[bold]-=TRAFFIC=- Download: $down Upload: $up -=XChat [getinfo version]=-"
    
}

alias trafhelp {

    /echo ""
    /echo 	"#############################"
    /echo ""
    /echo "       TraffiX Version 1.3 by Erik Zettel"  
    /echo ""
    /echo "       type /trafhelp to see that output"
    /echo "       type /traffix to have some better output"
    /echo ""
    /echo	 "#############################"

}
